<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
{% block head %}
    <title>{{error.code}} {{error.message}}</title>
    <link rel="stylesheet" href="{{static('error/generic.css')}}" />
    <link rel="shortcut icon" href="{{ static('favicon.ico') }}" />
    <link rel="icon" type="image/png" href="{{ static('favicon.png') }}" />
{% endblock %}
</head>
<body>
    {% block flair %}
    <h1><img src="{{static('error/500.gif')}}" title="error 500" alt="error">
    SUCH ERROR</h1>
    {% endblock %}

    <div id="errorinfo"><ul>
        <li><span>error</span> {{error.code}} {{error.message}}</li>
        <li><span>request time</span> {{arrow.now().format()}}</li>
        <li><span>url</span> <code>{{request.url}}</code></li>
        <li><span>path</span> <code>{{request.path}}</code></li>
        <li><span>full_path</span> <code>{{request.full_path}}</code></li>
        <li><span>endpoint</span> <code>{{request.endpoint}}</code></li>
        <li><span>url_rule</span> <code>{{request.url_rule}}</code></li>
    {% if exception %}
        <li><span>Exception information</span> {{exception.type}}: {{exception.str}}</li>
    {% endif %}
    </ul></div>

</body></html>

